CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/payment-outcome-intents/<intentId>Get a payment outcome intent (<intentId>).import requests
url = "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "oint_abc123",
"organizationId": "<string>",
"customerId": "<string>",
"outcomeText": "<string>",
"requesterId": "<string>",
"status": "OPEN",
"draftLinks": [
{
"id": "<string>",
"draftKind": "PAYEE_DRAFT",
"draftId": "<string>",
"linkedAt": "2023-11-07T05:31:56Z"
}
],
"sealedPlan": {
"v": 1,
"legs": [
{
"legIndex": 123,
"sourceAmountMinor": "<string>",
"sourceCurrency": "<string>",
"sourceAccountId": "<string>",
"sourceRail": "<string>",
"destinationAmountMinor": "<string>",
"destinationCurrency": "<string>",
"payeeAccountId": "<string>",
"destinationRail": "<string>"
}
]
},
"sealedPlanHash": "<string>",
"sealedPlanSignature": "<string>",
"sealedAt": "2023-11-07T05:31:56Z",
"sealedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Payment Outcome Intents
Get a payment outcome intent
GET
/
v1
/
payment-outcome-intents
/
{intentId}
CLI
# Requires: npm i -g @infinite_dev/cli && export INFINITE_API_KEY=sk_sandbox_...
# Escape hatch for any endpoint: infinite api <METHOD> <path>
infinite api GET /v1/payment-outcome-intents/<intentId>Get a payment outcome intent (<intentId>).import requests
url = "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sandbox.api.infinite.dev/v1/payment-outcome-intents/{intentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "oint_abc123",
"organizationId": "<string>",
"customerId": "<string>",
"outcomeText": "<string>",
"requesterId": "<string>",
"status": "OPEN",
"draftLinks": [
{
"id": "<string>",
"draftKind": "PAYEE_DRAFT",
"draftId": "<string>",
"linkedAt": "2023-11-07T05:31:56Z"
}
],
"sealedPlan": {
"v": 1,
"legs": [
{
"legIndex": 123,
"sourceAmountMinor": "<string>",
"sourceCurrency": "<string>",
"sourceAccountId": "<string>",
"sourceRail": "<string>",
"destinationAmountMinor": "<string>",
"destinationCurrency": "<string>",
"payeeAccountId": "<string>",
"destinationRail": "<string>"
}
]
},
"sealedPlanHash": "<string>",
"sealedPlanSignature": "<string>",
"sealedAt": "2023-11-07T05:31:56Z",
"sealedBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Authorizations
API Key in Bearer format (e.g., Bearer sk_test_...)
Headers
API key
Path Parameters
Intent id (oint_…).
Response
Example:
"oint_abc123"
Available options:
OPEN, APPROVED, REJECTED Show child attributes
Show child attributes
Omitted when sealed legs would expose internal account ids; sealedPlanHash remains authoritative.
Show child attributes
Show child attributes
HMAC-SHA256 hex over sealedPlanHash. Set when Infinite approves (ENG-2002).
Was this page helpful?